Bug 2886 - Не собирается kudzu-1.1.13-alt1
: Не собирается kudzu-1.1.13-alt1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kudzu)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-27 14:52 by
Modified: 2007-04-06 16:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-27 14:52:00
При попытке сборки из .src.rpm получаю:

cc -c -pipe -Wall -O2 -march=i686 -D_GNU_SOURCE -I. -DVERSION=\"1.1.13\" -fpic 
-o pci.o pci.c
pci.c: In function `pciToKudzu':
pci.c:201: `PCI_CLASS_COMMUNICATION_MODEM' undeclared (first use in this 
function)
pci.c:201: (Each undeclared identifier is reported only once
pci.c:201: for each function it appears in.)
/usr/include/bits/string2.h: At top level:
pci.c:684: warning: `isDisabled' defined but not used
make: *** [pci.o] Error 1


$ rpm -q pciutils-devel
pciutils-devel-2.1.11-alt1

После установки pciutils-devel-2.1.11-alt3 ошибка пропадает. Предлагаю повесить 
на kudzu в BuildRequires версию вышеназванного пакета.
------- Comment #1 From 2003-09-04 14:43:44 -------
Будет исправлено в следующей сборке.
------- Comment #2 From 2003-09-12 17:25:59 -------
fixed (kudzu-1.1.13-alt2)